Subject: Re: FW: Problems with make.
From: Gerrit Peter Haase <[email-masked]>
To: John Melody <[email-masked]>, [email-masked]
Date: Thu, 18 Jan 2001 19:12:02 +0000

Hi John,

> I am still having problems with using 'make'. I have read the docs. and I
> still cannot see what I am missing.
> 
> I have installed cygwin to d:\cygwin
> I have set the PATH to include the \bin directory of cygwin
> I have set the HOME env. variable to D:\work
> I have not set the LD_LIBRARY_PATH at all.

I think you did not install the WHOLE cygwin, that is available for download.
if you do, cygwin-setup makes all for you (PATH, mounts and so on).
At the end of install, setup asks you if you want a link on desktop and starmenu,
say yes. If you call cygwin with that link (shortcut to cygwin.bat in d:\cygwin), 
everything works for the most of us cygwinners.

> For example
> 
> mount d:\ /

either you need to quote the backslashes (mount d:\\ /)
or you write:  mount d:/ /

After you did a setup of the whole cygwin and let it set up the shortcuts, cygwin.bat
needs to modified a little bit!!!

You should include there these line:

set CYGWIN=binmode tty

(minimum change, there are others possible, read ug)

You could also set CYGWIN in your windo*e environment permanently.

so long,

ahh, do also a setup again from time to time, to be sure to get the latest versions.

-- 
Gerrit

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple